View Issue Details

IDProjectCategoryView StatusLast Update
0030464RunnerVariables (In-Built)Public2019-02-26 16:10
ReporterDanAssigned ToRussell Kay 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030464: Variables: Strings are equal to 0 in 2.2.2.302, should not be
Description Strings are equal to 0 in 2.2.2.302, when they should not be.
Steps To Reproduce1. Start GMS2 and import the attached sample.
2. Run it and observe you're given the "false" result, meaning the string IS equal to 0.
Repro: 100%
Additional Informationhttps://yoyogames.zendesk.com/agent/tickets/154268
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.2.302
2.x Runtime Verified In2.2.1.291

Activities

Dan

2019-01-31 09:21

Adminstrator  

string-real casting issues.yyz (17,037 bytes)

Russell Kay

2019-01-31 17:16

Manager   ~0062621

fixed in gitlab

Dan

2019-02-06 15:53

Adminstrator   ~0062656

Runtime 304+.

Matthew McInnes

2019-02-26 16:10

Developer   ~0063352

Closing. Verified as fixed in:

IDE v2.2.2.395 Runtime v2.2.1.291